<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleSegmentCoreTypeTotalCharge StructType
 * @package Dg
 * @subpackage Structs
 */
class DgVehicleSegmentCoreTypeTotalCharge extends AbstractStructBase
{
    /**
     * The RateTotalAmount
     * @var float
     */
    public $RateTotalAmount;
    /**
     * The EstimatedTotalAmount
     * @var float
     */
    public $EstimatedTotalAmount;
    /**
     * Constructor method for VehicleSegmentCoreTypeTotalCharge
     * @uses DgVehicleSegmentCoreTypeTotalCharge::setRateTotalAmount()
     * @uses DgVehicleSegmentCoreTypeTotalCharge::setEstimatedTotalAmount()
     * @param float $rateTotalAmount
     * @param float $estimatedTotalAmount
     */
    public function __construct($rateTotalAmount = null, $estimatedTotalAmount = null)
    {
        $this
            ->setRateTotalAmount($rateTotalAmount)
            ->setEstimatedTotalAmount($estimatedTotalAmount);
    }
    /**
     * Get RateTotalAmount value
     * @return float|null
     */
    public function getRateTotalAmount()
    {
        return $this->RateTotalAmount;
    }
    /**
     * Set RateTotalAmount value
     * @param float $rateTotalAmount
     * @return \dgsoft\StructType\DgVehicleSegmentCoreTypeTotalCharge
     */
    public function setRateTotalAmount($rateTotalAmount = null)
    {
        $this->RateTotalAmount = $rateTotalAmount;
        return $this;
    }
    /**
     * Get EstimatedTotalAmount value
     * @return float|null
     */
    public function getEstimatedTotalAmount()
    {
        return $this->EstimatedTotalAmount;
    }
    /**
     * Set EstimatedTotalAmount value
     * @param float $estimatedTotalAmount
     * @return \dgsoft\StructType\DgVehicleSegmentCoreTypeTotalCharge
     */
    public function setEstimatedTotalAmount($estimatedTotalAmount = null)
    {
        $this->EstimatedTotalAmount = $estimatedTotalAmount;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgVehicleSegmentCoreTypeTotalCharge
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
